Bug 794507 - Successful sign in from error page shows 'Error' when it is successful
Successful sign in from error page shows 'Error' when it is successful
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: WebSite (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
medium Severity unspecified
: ---
: 1.5
Assigned To: David Mason
Alex Eng
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2012-02-16 19:03 EST by David Mason
Modified: 2012-03-06 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 19:08:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-02-16 19:03:31 EST
Description of problem:
When successfully signing in using the 'Sign in' link on the error page, the user is returned to the error page, which shows only the 'Error' title. This appears as though there has been an error with sign in, but there has not.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Without signing in, navigate to a project page
2.Change the last part of the url to specify an invalid project page, load modified url. The error page will be shown with an error message.
3.Click 'Sign in' and enter valid credentials
  
Actual results:
User is shown a page with only 'Error'

Expected results:
User is shown home page or a page that does not appear to indicate an error.

Additional info:
Comment 1 David Mason 2012-02-16 21:55:30 EST
Fixed in 1.5.

Sign in from error page now redirects to home on success, and error page indicates that there are no current errors when navigated to directly.

See https://github.com/zanata/zanata/commit/defccc0e640e5c78bcadfcee8586f720b941595f
Comment 2 Alex Eng 2012-02-19 22:03:13 EST
VERIFIED in Zanata version 1.5-SNAPSHOT (20120220-1107).

Note You need to log in before you can comment on or make changes to this bug.